Bug 3318 - При установке любого ядра не прописывается соотвествующая секция в меню grub
Summary: При установке любого ядра не прописывается соотвествующая секция в меню grub
Status: CLOSED FIXED
Alias: None
Product: Sisyphus
Classification: Development
Component: bootloader-utils (show other bugs)
Version: unstable
Hardware: all Linux
: P2 major
Assignee: placeholder@altlinux.org
QA Contact: qa-sisyphus
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-11-25 17:04 MSK by Alexei Takaseev
Modified: 2006-03-19 08:01 MSK (History)
11 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexei Takaseev 2003-11-25 17:04:13 MSK
При установке любого ядра не прописывается соотвествующая секция в меню grub если
в файле /etc/fstab может встретиться такая конструкция:

#/dev/sda1 / ext2 defaults 1 1
/dev/sda1 / xfs defaults 1 1

скрипт /sbin/installkernel подхватывает название раздела с первой строки и,
естественно, обламывается.

Если эти строки поменять местами, то установка проходит без сбоев.
Comment 1 Dmitry V. Levin 2004-06-03 20:17:44 MSD
Reassigned to maintainer.
Comment 2 Anton Farygin 2006-02-09 09:57:33 MSK
подтверждаю. неприятная бага.
Comment 3 Anton Farygin 2006-02-09 10:02:14 MSK
Да, ошибка где-то в районе /usr/share/loader/bootloader_utils.pm::gettab(), ибо
в mnt2dev цикл идёт только по первой записи.
Comment 4 Anton Farygin 2006-02-09 16:18:23 MSK
Фикс тривиален:
 diff -u bootloader_utils.pm bootloader_utils.pm.new 
--- bootloader_utils.pm 2004-06-11 15:09:45 +0400
+++ bootloader_utils.pm.new     2006-02-09 16:18:14 +0300
@@ -19,6 +19,7 @@
 
 sub gettab {
        my $fname = shift;
+       $/ = "\n";
        open my $f, $fname or return;
        my @tab; local $_;
        while (<$f>) {
Comment 5 Anton Farygin 2006-02-09 16:36:28 MSK
fixed (NMU, 0.3.1-alt1.1)